# -*- encoding: utf-8 -*-

import os.path as osp

from logilab.common.testlib import TestCase,  unittest_main


from hgview import hgrepo


class mergeNode(TestCase):

    def test_node_merge(self):
        repo1 = hgrepo.HgHLRepo('/home/graz/test_hgview/repo1')
        nodes = repo1.read_nodes()
        node = '\x89\x14\x11\xce\xfc\xd5\x1e\xe5\xfcj`\xea\xa0\x11w\xe9l\xbe&\x7f'
        node_merge = repo1.read_node(node)
      
        parents =  ['@\xe9\x9a`\xb3\xb8\x96\x17X\xd5\xaf\x91\xaa=Pr\xe2M\xd9\xc0',
                    '\xce\x94\x99\xec\xa8J\x88\x0f\xf3\x96\xd4\x82\xdf\xeb"o\xa5\xbd\x03\x89']
        self.assertEquals(node_merge.rev, 6)
        self.assertEquals(node_merge.files, ('file_2',))
        self.assertEquals(repo1.parents(node),parents)
        #test the parent's rev
        self.assertEquals((repo1.read_node(parents[0])).rev, 4)
        self.assertEquals((repo1.read_node(parents[1])).rev, 5)
        node_par_1 = parents[0]
        node_par_2 = parents[1]
        #binascii
        par_1 = '40e99a60b3b8'
        par_2 = 'ce9499eca84a'
        node = 'db95458ae9c6'

        #test_diff
        ancestor = repo1.repo.changelog.ancestor( parents[0], parents[1] )
        self.assertEquals((repo1.read_node(ancestor)).rev, 3)
        
        
if __name__ == '__main__':
    unittest_main()

  
